<template>
  <span v-if="row.approver__fullname">{{ row.approver__fullname }}</span>
  <a v-else @click="newLoan">
    <span class="tooltip">
      <span class="dot-twitter">+</span>
      <span class="tooltiptext to-left" style="min-width: max-content">{{ label }}</span>
    </span>
  </a>
</template>
<script>
import { useStore } from "@/stores/index";
export default {
  setup() {
    const store = useStore();
    return { store };
  },
  props: ["row", "pagename"],
  data() {
    return {
      label: this.store.lang === "en" ? "Select appraiser" : "Chọn người thẩm định",
    };
  },
  methods: {
    newLoan() {
      this.$emit("clickevent", {
        name: "dataevent",
        data: {
          modal: {
            title: this.label,
            height: "330px",
            width: "500px",
            component: "parameter/Approver",
            vbind: { row: this.row, pagename: this.pagename },
          },
        },
      });
    },
  },
};
</script>
